libzypp 17.37.10

UrlUtils.h File Reference
`#include <zypp-core/url/UrlException.h>`
`#include <string>`
`#include <vector>`
`#include <map>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::url
| Url details namespace.

## Macros
#define | URL_SAFE_CHARS ":/?#[]@!$&'(){}*+,;="
| Characters that are safe for URL without percent-encoding.

## Typedefs
using | zypp::url::ParamVec = std::vector<std::string>
| A parameter vector container.
using | zypp::url::ParamMap = std::map<std::string, std::string>
| A parameter map container.

## Enumerations
enum | zypp::url::EEncoding { zypp::url::E_ENCODED , zypp::url::E_DECODED }
| Encoding flags. More...

## Functions
std::string | zypp::url::encode (const std::string &str, const std::string &safe="", EEncoding eflag=E_DECODED) ZYPP_API
| Encodes a string using URL percent encoding.
std::string | zypp::url::decode (const std::string &str, bool allowNUL=false) ZYPP_API
| Decodes a URL percent encoded string.
std::string | zypp::url::encode_octet (const unsigned char c) ZYPP_API
| Encode one character.
int | zypp::url::decode_octet (const char *hex) ZYPP_API
| Decode one character.
void | zypp::url::split (ParamVec &pvec, const std::string &pstr, const std::string &psep)
| Split into a parameter vector.
void | zypp::url::split (ParamMap &pmap, const std::string &pstr, const std::string &psep, const std::string &vsep, EEncoding eflag=E_ENCODED)
| Split into a parameter map.
std::string | zypp::url::join (const ParamVec &pvec, const std::string &psep)
| Join parameter vector to a string.
std::string | zypp::url::join (const ParamMap &pmap, const std::string &psep, const std::string &vsep, const std::string &safe, EEncoding eflag)
| Join parameter map to a string.

## Macro Definition Documentation

## ◆ URL_SAFE_CHARS

#define URL_SAFE_CHARS ":/?#[]@!$&'(){}*+,;="

Characters that are safe for URL without percent-encoding.

Definition at line 22 of file UrlUtils.h.